"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _jsxruntime = require('react/jsx-runtime');
const ErrorSummary = ({
  errors,
  errorMessage = "Please correct these errors and try again."
}) => {
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "o3-form__error-summary", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "o3-form__error-summary-icon" }),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
      "div",
      {
        className: "o3-form__error-summary__heading",
        role: "alert",
        "aria-labelledby": "error-summary-title",
        children: [
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { id: "error-summary-title", className: "o3-typography-heading5", children: errorMessage }),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "ul", { className: "o3-forms__error-summary__list o3-typography-body-small", children: errors.map(({ id, fieldName, message }) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "li", { children: [
            /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "a", { className: "o3-typography-link", href: `#${id}`, children: fieldName }),
            /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "span", { children: [
              ": ",
              message
            ] })
          ] }, id)) })
        ]
      }
    )
  ] });
};


exports.ErrorSummary = ErrorSummary;
